This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 815371 - When copying & pasting a name with chinese characters via clipboard, quoted-printable text is pasted
When copying & pasting a name with chinese characters via clipboard, quoted-p...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: evolution-data-server (Show other bugs)
6.3
Unspecified Unspecified
medium Severity medium
: beta
: 6.4
Assigned To: Matthew Barnes
Desktop QE
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-23 09:42 EDT by David Jaša
Modified: 2014-01-02 06:10 EST (History)
4 users (show)

See Also:
Fixed In Version: evolution-data-server-2.32.3-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 00:05:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
example message (18.70 KB, text/plain)
2012-04-23 09:42 EDT, David Jaša
no flags Details
eds patch (1.76 KB, patch)
2012-04-24 07:21 EDT, Milan Crha
no flags Details | Diff

  None (edit)
Description David Jaša 2012-04-23 09:42:17 EDT
Created attachment 579540 [details]
example message

Description of problem:
When copying & pasting a name with chinese characters between headers, quoted-printable text is pasted. Interesting is that this happens only when I use Clipboard (Ctrl-C or Ctrl-X), when using X selection, characters are copied properly.

Version-Release number of selected component (if applicable):
evolution-2.28.3-23.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. open attached message in evo
2. hit reply to all
3. copy full Charles Tsai's address with name using Clipboard
4. paste the copied text somewhere
  
Actual results:
quoted printable text is pasted with several newlines in it

Expected results:
the very same unicode string is pasted

Additional info:
Comment 1 Milan Crha 2012-04-24 07:19:36 EDT
Thanks for a bug report. I can reproduce it too. The trick is to use the composer, otherwise it does what it is supposed to do.
Comment 2 Milan Crha 2012-04-24 07:21:39 EDT
Created attachment 579825 [details]
eds patch

for evolution-data-server;

This is similar to bug #707526, but this time in a widget provided by evolution-data-server, where the fix is also done.
Comment 3 RHEL Product and Program Management 2012-07-10 02:35:04 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 RHEL Product and Program Management 2012-07-10 19:10:27 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 5 RHEL Product and Program Management 2012-12-14 02:07:36 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 6 Milan Crha 2013-05-09 10:20:02 EDT
Devel-acking, patch available.
Comment 17 errata-xmlrpc 2013-11-21 00:05:21 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1540.html

Note You need to log in before you can comment on or make changes to this bug.